import o from "./NanoGPTV1.js";
import r from "./NanoGPTV2.js";
function p(e) {
  const n = e.modelType || "GenAI_NanoGPT_v1";
  switch (n) {
    case "GenAI_NanoGPT_v1":
      return new o(e);
    case "GenAI_NanoGPT_v2":
      return new r(e);
    default:
      throw new Error(`Unsupported model type: ${n}`);
  }
}
export {
  p as default
};
